/*
 * Copyright (c) 2005, University of Massachusetts
 * All Rights Reserved.
 * 
 * Name:           matmat_support.c 
 * Last modified:  30 Mar 2005
 * Author:         Stephen Siegel <siegel@cs.umass.edu>
 *
 * Support C code for matrix-matrix multiplication model.
 */

struct A_matrix A_global;
struct B_matrix B_global;

void initializeSystem() {
  int i,j,count;

  count = 0;
  for (i=0; i<A_ROWS; i++) {
    for (j=0; j<A_COLS; j++) {
      A_global.entryAt[i].entryAt[j] = SYM_symbolicConstant_0(count);
      count++;
    }
  }
  for (i=0; i<B_ROWS; i++) {
    for (j=0; j<B_COLS; j++) {
      B_global.entryAt[i].entryAt[j] = SYM_symbolicConstant_0(count);
      count++;
    }
  }
  for (i=0; i<C_ROWS; i++) {
    for (j=0; j<C_COLS; j++) {
      now.C_global.entryAt[i].entryAt[j] = SYM_ZERO;
    }
  }
  printf("Matrix A: \n");
  // prettyprintMatrix_A();
  printf("Matrix B: \n");
  //  prettyprintMatrix_B();
  printf("-------------------------------");
  printf("--------------------------------------\n\n");
}
